/***en
    @mainpage The m17n library documentation

    @section what What is the m17n library?

    The @e m17n @e library is a multilingual text processing library
    for the C language.

    <ul>

    <li> It is an open source software.

    <li> It is for any GNU/Linux and Unix applications/libraries.

    <li> It realizes multilingualization of many aspects of
    applications/libraries.
 
    </ul> 

    The word "m17n" is an abbreviation of "multilingualization".

    The m17n library provides following facilities to handle
    multilingual text.

    <ul>

    <li> @e M-text: A data structure for a multilingual text.  It is
    basically a string but with attributes called text property, and
    is designed to substitute for the C string.

    <li> Functions for creating and processing M-texts.

    <li> Functions for converting M-texts from/to strings encoded in
    various existing formats.

    <li> A huge character space, which contains all the Unicode
    characters and more non-Unicode characters.

    <li> @e Chartable: A data structure that contains per-character
    information efficiently.

    <li> Functions for inputting and displaying M-text on a window
    system.

    </ul>

    @section usage How to use it?

    Just include <m17n.h> in your program, and link it with the m17n
    library by -lm17n.  See the documentation of the module \link
    m17nIntro Introduction \endlink for the detail.

    @section contact Contact us:

    Global IT Security Group\n
    Information Technology Research Institute\n
    Institute of Advanced Industrial Science and Technology

    E-mail: mule-aist@m17n.org 

*/
////
